Last Comment Bug 726009 - Bookmark folder in New Tab page crashes Firefox
: Bookmark folder in New Tab page crashes Firefox
Status: VERIFIED FIXED
: crash, regression, reproducible
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: 13 Branch
: All All
: -- critical with 1 vote (vote)
: Firefox 13
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 725996
Blocks: 455553
  Show dependency treegraph
 
Reported: 2012-02-10 08:10 PST by Thomas Ahlblom
Modified: 2012-04-10 07:26 PDT (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Thomas Ahlblom 2012-02-10 08:10:47 PST
Mozilla/5.0 (X11; Linux x86_64; rv:13.0a1) Gecko/20120210 Firefox/13.0a1

Steps to reproduce:

* Start Firefox with a new, clean profile.

* Select Edit / Preferences / General / Startup / Show my windows and tabs from last time

* Click "+" to open a new tab

* Drag the Bookmarks / Mozilla Firefox folder into the middle upper new tab pane

* Select File / Quit

* Start Firefox again

* Click "+" to open another new tab


Actual results:

CRASH! 

bp-365e73c8-4bec-4e45-a368-67c772120210


Expected results:

Well, at least no crash.
Comment 1 Thomas Ahlblom 2012-02-10 08:21:12 PST
Warning!

Until you find out how to get rid of that damn folder you should probably not test this with your ordinary working profile. :-O

And when you have found that out - please tell me what to do. ;-)
Comment 2 Alice0775 White 2012-02-10 08:25:35 PST
crash 
bp-14512a5f-7c42-43e9-956a-7fddd2120210
http://hg.mozilla.org/mozilla-central/rev/7c0ba1c98ff7
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0a1) Gecko/20120209 Firefox/13.0a1 ID:20120209031242
Comment 3 Virgil Dicu [:virgil] [QA] 2012-03-16 09:34:36 PDT
This is fixed now that bookmark folders can't be dragged anymore. Bug 725996. Can this be closed now?
Comment 4 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2012-03-16 10:05:43 PDT
Yes, thanks for noticing. Fixed by bug 725996.
Comment 5 Virgil Dicu [:virgil] [QA] 2012-04-10 07:26:18 PDT
Bookmark folder can't be dragged anymore with bug 725996. Setting to Verified.

Note You need to log in before you can comment on or make changes to this bug.